[MAP v2] Core configuration

Added by Delarue Stéphane over 6 years ago

Hi everybody,
I begin recently to install easySDI. With the wiki and some time, I was able to install the CORE (2.1.0), PROXY (2.0.5) and CATALOG (2.0.0) module.
Now I need to install the MAP (2.0.1) module with GeoServer (2.1.0). I installed the MAP module with the "Joomla install manager" and I create a new configuration in the PROXY module for GeoServer with the policy. (Id Config: localwms, Url: http://localhost:8080/geoserver , ... )

After that, I have to configure the CORE module but I have some trouble to understand what I have to put in all parameters:

Component path: is it the directory of GeoServer install ?
Component url: I put http://localhost:8080/proxy/ogc/localwms is it the good one ?

Proxy config: I have no idea of what I write here? I put the proxy's config file but it's weird because it's already informed in core's proxy configuration.

WMS's service URL and WFS's service URL: What should I write here ?

Configuration:
Apache Tomcat 6.0.32
Firefox 4
Apache 2.2.17
PHP 5.3.4
MySQL 5.1.53
java 6 update 26

I attach some screenshot of my CORE configuration.

Thanks in advance,
Stéphane.

proxy_config.jpg - proxy configuration (26.2 KB)

map_config.jpg - map configuration (74.2 KB)


Replies (6)

RE: [MAP v2] Core configuration - Added by Portier Thomas over 6 years ago

What I have in my configuration :

Component path : http://www.sig-pyrenees.net/administrator/components/com_easysdi_map/
Component url : http://www.sig-pyrenees.net/index.php?option=com_easysdi_map
Proxy Config : C:/Program Files/geonetwork/webapps/proxy/WEB-INF/conf/config.xml

RE: [MAP v2] Core configuration - Added by Delarue Stéphane over 6 years ago

Hi thomas,

thanks for your response. I have adapt it to my configuration

Component path : http://localhost/EasySDI/administrator/components/com_easysdi_map/
Component url : http://localhost/EasySDI/index.php?option=com_easysdi_map
Proxy Config : C:\Users\IRSTV_STEPH\Proxy\conf\config.xml

I'm working in local and I have move my conf's proxy files like it say in the wiki.

Can you tell me what do you have for the WMS's service URL and WFS's service URL ?

Thanks in advance
Stéphane.

RE: [MAP v2] Core configuration - Added by Mérour Xavier over 6 years ago

Hello Stéphane,

To complete Thomas'answer, what you have to know is that WMS&WFS URL you should give any URL pointing to a PROXY config.
In his example, Thomas defined two configs (wms_secure and wfs_secure)

@Thomas
Should be good to have in MAP installer a default configuration available (could it be for example a config with the geosignal proxy config for WMS...). For next release with CRIGEOS ;-)

RE: [MAP v2] Core configuration - Added by Delarue Stéphane over 6 years ago

Thanks for your responses. Now I understand why it isn't working.

I created the two PROXY config for the WMS&WFS. No problem for the WMS but some weird staff for the WFS:
When I don't use the proxy: http://localhost:8080/geoserver/wfs?service=wfs&version=1.1.0&request=GetCapabilities
No problem, I have the Capabilities.

But by the proxy: http://localhost:8080/proxy/ogc/localwfs?service=wfs&version=1.1.0&request=GetCapabilities
I have this:

<ServiceExceptionReport xsi:schemaLocation="http://www.opengis.net/ogc" version="1.2.0">
<ServiceException code="InvalidParameterValue " locator="version">Version not supported. Only 1.0.0 supported.</ServiceException>
</ServiceExceptionReport>

Did I do something wrong ?

RE: [MAP v2] Core configuration - Added by Mérour Xavier over 6 years ago

Well, my answer is maybne a bit late... but if it can help.

The PROXY message error "Version not supported. Only 1.0.0 supported" is sent back to the client because PROXY does not support WFS version 1.1.0 (see PROXY documentation here : http://forge.easysdi.org/projects/proxy/wiki).

In your request, you should ask for version 1.0.0 (version supported by the PROXY) like this :
http://localhost:8080/proxy/ogc/localwfs?service=wfs&version=1.0.0&request=GetCapabilities

It should work properly.

Xavier

(1-6/6)